Bug 242817 - [NEW PORT] www/py-freenit: REST API framework based on Flask-Smorest
Summary: [NEW PORT] www/py-freenit: REST API framework based on Flask-Smorest
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on: 242611 242617 242786 242806 242819
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-22 21:50 UTC by Goran Mekić
Modified: 2020-02-17 11:09 UTC (History)
0 users

See Also:


Attachments
py-freenit.diff (2.86 KB, patch)
2019-12-22 21:50 UTC, Goran Mekić
no flags Details | Diff
py-freenit-updated.diff (2.87 KB, patch)
2020-02-07 15:05 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-22 21:50:02 UTC
Created attachment 210162 [details]
py-freenit.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (8 tests passed)
Comment 1 Goran Mekić 2020-02-07 15:05:48 UTC
Created attachment 211447 [details]
py-freenit-updated.diff
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 09:11:49 UTC
  - Add version-specs for *_DEPENDS where specified upstream
  - Remove text-unidecode from RUN_DEPENDS (not specified upstream)
  - Remove pytest-cov and other non essential test packages where possible (should be extras_require dev, not tests_require)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 09:16:54 UTC
Upstream wants Flask-Cors>=3.0.8, but port is currently 2.1.2

Will get advice from you on IRC
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 10:49:04 UTC
Fixed py-faker missing dependencies in ports r526357
Comment 5 commit-hook freebsd_committer 2020-02-17 11:08:28 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 11:08:10 UTC 2020
New revision: 526363
URL: https://svnweb.freebsd.org/changeset/ports/526363

Log:
  [NEW] www/py-freenit: REST API framework based on Flask-Smorest

  Freenit is well suited for REST API development, providing Swagger and ReDoc
  interface, while dealing with database connections and models in an easy way.

  WWW: https://github.com/freenit-framework/backend

  PR:		242817
  Submitted by:	Goran Meki? <meka tilda center>

Changes:
  head/www/Makefile
  head/www/py-freenit/
  head/www/py-freenit/Makefile
  head/www/py-freenit/distinfo
  head/www/py-freenit/files/
  head/www/py-freenit/files/patch-setup.py
  head/www/py-freenit/pkg-descr
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 11:09:14 UTC
Committed with changes (See comments)

Thanks Goran!